Subject: Re: [tcpm] New Version Notification for draft-zimmermann-tcp-lcd-01

From: Alexander Zimmermann <[email-masked]>
Date: Fri, 14 Aug 2009 16:10:28 +0200

Hi again,

at the TCPM meeting in Stockholm it was decided to take the discussion  
on whether there's interest in adopting this as a WG item to the  
mailing list since besides a dozen supporters we had only two or three  
readers...

Alex

Am 13.07.2009 um 22:43 schrieb Alexander Zimmermann:

> Hi folks,
>
> I upload a new version of our draft to the IETF repository:
> http://www.ietf.org/internet-drafts/draft-zimmermann-tcp-lcd-01.txt
>
> Comments are more than welcome.
> I'm looking forward to seeing you in Stockholm.
>
> Alex
>
>
> Filename:	 draft-zimmermann-tcp-lcd
> Revision:	 01
> Title:		 Make TCP more Robust to Long Connectivity Disruptions
> Creation_date:	 2009-07-13
> WG ID:		 Independent Submission
> Number_of_pages: 16
>
> Abstract:
> Disruptions in end-to-end path connectivity which last longer than
> one retransmission timeout cause suboptimal TCP performance.  The
> reason for the performance degradation is that TCP interprets segment
> loss induced by connectivity disruptions as a sign of congestion,
> resulting in repeated backoffs of the retransmission timer.  This
> leads in turn to a deferred detection of the re-establishment of the
> connection since TCP waits until the next retransmission timeout
> occurs before attempting the retransmission.
>
> This document describes how standard ICMP messages can be exploited
> to disambiguate true congestion loss from non-congestion loss caused
> by long connectivity disruptions.  Moreover, a revert strategy of the
> retransmission timer is specified that enables a more prompt
> detection of whether the connectivity to a previously disconnected
> peer node has been restored or not.  The specified algorithm is a TCP
> sender-only modification that effectively improves TCP performance in
> presence of connectivity disruptions.
> <PGP.sig><ATT00001.txt>

//
// Dipl.-Inform. Alexander Zimmermann
// Department of Computer Science, Informatik 4
// RWTH Aachen University
// Ahornstr. 55, 52056 Aachen, Germany
// phone: (49-241) 80-21422, fax: (49-241) 80-22220
// email: [email-masked]
// web: http://www.umic-mesh.net
//